# -*- coding: UTF-8 -*-

from nes_common.inserter import Inserter 
from cash.mssql.nes_exec import Exec
import ConfigParser
import sys
from nes_common import logger

class DB_Inserter(Inserter):
    def __init__(self, shop, loadDictStatusSender=None):
        log = logger.Logger().getLogger(shop['shopId'])
        config = ConfigParser.RawConfigParser()
        if not config.read(sys.path[0] + "/../../../config/nes_load.ini"):
            log.error("Configuration file 'nes_load.ini' not found.")
            sys.exit(1)
        server = config.get('mssql', 'server')
        driver = config.get('mssql', 'driver')
        user = config.get('mssql', 'user')
        password = config.get('mssql', 'password')
        executor = Exec(driver=driver, server=server, user=user, password=password, database='dictionaries', 
                        shopCode=shop['shopId'], config=config, loadDictStatusSender=loadDictStatusSender)
        Inserter.__init__(self, shop['shopId'], executor)
        
