# -*- coding: UTF-8 -*-

import logging
import logging.handlers
import sys, os
import ConfigParser

syspath0 = sys.path[0]

class Logger(object):
    prefixLogName = 'nesUpload'
    dests = []
    def configureLogger(self, logger, dest, logpath):
        handler = logging.handlers.RotatingFileHandler(logpath, maxBytes=5000000, backupCount=10, delay=False)
        handler.setFormatter(logging.Formatter('%(asctime)s %(levelname)-8s %(message)s %(module)5s(%(lineno)s)'))
        logger.addHandler(handler)
        logger.setLevel(logging.INFO)
        return logger
    
    def getLogger(self, dest):
        logger = logging.getLogger('su.artix.nes.%s%s' % (self.prefixLogName, dest))
        logPath = self.getLogPath(dest)
        if not dest in self.dests:#logging.Manager.loggerDict.has_key(dest):
            logger = self.configureLogger(logger, dest, logPath)
            self.dests.append(dest)
        if not os.path.exists(logPath):
            logger.handlers = []
            logger = self.configureLogger(logger, dest, logPath)
        return logger

    def getLogPath(self, dest):
        config = ConfigParser.RawConfigParser()
        pathConfig = syspath0 + "/../../../config/nes_load.ini"
        if not config.read(pathConfig):
            print ("Configuration file %s not found. (Logger)" % pathConfig)
            exit(1)
        parentDir = config.get('MAIN', 'logDirectory')
        if not os.path.exists(parentDir):
            os.makedirs(parentDir)
        return '%s/%s%s.log' % (parentDir, self.prefixLogName, dest) 
            
    